package novu

import (
	"context"
	"git.downtown8.com/rms/orchestrator/g-hq-orchestrator/internal/svc/novu"
	"github.com/google/wire"
)

var ProviderSet = wire.NewSet(New)

type Client struct {
	novu *novu.Novu
}

func New(novu *novu.Novu) *Client {
	return &Client{novu: novu}
}

func (m *Client) publishNovu(ctx context.Context, triggerName string, storeId int32, traceId string, payload interface{}) error {
	return m.novu.Publish(ctx, triggerName, storeId, traceId, payload)
}
