package rabbitmq

import (
	"git.downtown8.com/rms/orchestrator/g-hq-orchestrator/internal/message/rabbitmq/producer"
	"git.downtown8.com/rms/orchestrator/g-hq-orchestrator/internal/svc/amqp"
	"github.com/google/wire"
)

type Client struct {
	mq       *amqp.RabbitMQ
	Producer *producer.RabbitMQProducer
}

var ProviderSet = wire.NewSet(New)

func New(mq *amqp.RabbitMQ) *Client {
	mb := &Client{
		mq:       mq,
		Producer: producer.New(mq),
	}
	mb.bindQueue()
	return mb
}
func (m *Client) bindQueue() {
}
