#!/bin/bash

tmp_path=`pwd`
CUR_PATH=$(dirname $(readlink -f $0))
cd $CUR_PATH
echo $CUR_PATH
# cd ../

rm -rf ./kitex_gen

# shellcheck disable=SC2010
# shellcheck disable=SC2162
ls ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen |grep service.proto | while read file; do
   #kitex --protobuf Mpos_kitchen_service.proto=git.downtown8.com/rms/orchestrator/g-hq-orchestrator/kitex_gen/kitchen -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen/$file;
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen/$file;
done

ls ./proto/vendor/g-hq-orchestrator-hera/idl/brand |grep service.proto | while read file; do
   #kitex --protobuf Mpos_kitchen_service.proto=git.downtown8.com/rms/orchestrator/g-hq-orchestrator/kitex_gen/kitchen -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen ./proto/vendor/g-hq-orchestrator-hera/idl/kitchen/$file;
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/brand ./proto/vendor/g-hq-orchestrator-hera/idl/brand/$file;
done


ls ./proto/vendor/g-hq-orchestrator-hera/idl/public |grep service.proto | while read file; do
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/public ./proto/vendor/g-hq-orchestrator-hera/idl/public/$file;
done

ls ./proto/vendor/g-hq-orchestrator-hera/idl/product |grep service.proto | while read file; do
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/product ./proto/vendor/g-hq-orchestrator-hera/idl/product/$file;
done

ls ./proto/vendor/g-hq-orchestrator-hera/idl/order |grep service.proto | while read file; do
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/g-hq-orchestrator-hera/idl/order ./proto/vendor/g-hq-orchestrator-hera/idl/order/$file;
done

ls ./proto/vendor/online-sales-hera |grep onlinesalesworkflow.proto | while read file; do
   kitex -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/online-sales-hera ./proto/vendor/online-sales-hera/$file;
done


ls ./proto/vendor/print-middleplatform-temporal-hera/idl |grep temporalprint.proto | while read file; do
   kitex --protobuf Mtemporalprint.proto=git.downtown8.com/rms/orchestrator/g-hq-orchestrator/kitex_gen/middleplatform/printer -module=git.downtown8.com/rms/orchestrator/g-hq-orchestrator -I ./proto/vendor/print-middleplatform-temporal-hera/idl ./proto/vendor/print-middleplatform-temporal-hera/idl/$file;
done

cd $tmp_path